****************************************************************************************************
*                                           PROGRAM OVERVIEW
****************************************************************************************************
*
* PROGRAM: runQRPE.sas  
*
* Created (mm/dd/yyyy): 02/01/2018
* Last modified: 
* Version: 1.0.1
*
*--------------------------------------------------------------------------------------------------
* PURPOSE:
*   Macro to run QRPE.                                        
*   
*  Program inputs:                                                                                   
*                                     
*  Program outputs:                                                                                                                                       
*                                                                                                  
*  PARAMETERS:    
*		All the parameters are set by the run_programs program. 
*            
*  Programming Notes:                                                                                
*
*
*--------------------------------------------------------------------------------------------------
* CONTACT INFO: 
*  Sentinel Coordinating Center
*  info@sentinelsystem.org
*
*--------------------------------------------------------------------------------------------------
*  CHANGE LOG: 
*
*   Version   Date       Initials      Comment (reference external documentation when available)
*   -------   --------   --------   ---------------------------------------------------------------
*             mm/dd/yy
*
***************************************************************************************************;

/* Macro to run QRPE */

%macro runQRPE;

  %LET RUNID=%LOWCASE(&RUNID.);

  proc printto log="&MSOC.&RUNID._qrpe.log" new;
  run;

  %put =====> MACRO CALLED: runQRPE v1.0.1;

  %let Ver=1.0.1;  

  /*option required to ensure successful multiple runs of CIDA*/
  options nosyntaxcheck;

  *Clean work library;
  proc datasets lib=work nolist kill; quit; run;

  %ms_qrpenum(RUNID=&RUNID.,
              MSPROJID=&MSPROJID.,  
              MSWPTYPE=&MSWPTYPE.,
              MSWPID=&MSWPID.,
			  MSDPID=&MSDPID.,
              MSVERID=&MSVERID.,
              MONITORINGFILE=&MONITORINGFILE.,
              COHORTFILE=&COHORTFILE.,
              COHORTCODES=&COHORTCODES.,
              INCLUSIONCODES=&INCLUSIONCODES.,
              COVARIATECODES=&COVARIATECODES.,
			  FACILITYCODES=&FACILITYCODES.,
			  TRANSCODE_TYPE_LOOKUP=&TRANSCODE_TYPE_LOOKUP.,
              FREEZEDATA=&FREEZEDATA.);  

  %put NOTE: ******** END OF MACRO: runQRPE v1.0.0 ********;

  proc printto;
  run;

%mend runQRPE;

%runQRPE;
